DEVICE_DETACH(9)

NAME
DEVICE_DETACH - detach a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
DEVICE_DETACH(device_t dev);

DESCRIPTION
Detach a device. This can be called if the user is replacing the driver software or if a device is about to be physically removed from the system (e.g. for pccard(4) devices).

The method should deallocate any system resources allocated during the DEVICE_ATTACH(9) method and reset the hardware to a sane state (i.e., disable interrupts etc.)

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
pccard(4), device(9), DEVICE_ATTACH(9), DEVICE_IDENTIFY(9), DEVICE_PROBE(9), DEVICE_SHUTDOWN(9)

AUTHORS
This manual page was written by Doug Rabson.